Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 156119 - pcre.h installed in wrong location
Summary: pcre.h installed in wrong location
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: pcre
Version: 3
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-27 17:54 UTC by Andy Ross
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-05-14 17:59:36 UTC


Attachments (Terms of Use)

Description Andy Ross 2005-04-27 17:54:09 UTC
The pcre source distribution, by default, installed its header into
$PREFIX/include like almost all other software.  The Fedora pcre-devel
RPM place these files in $PREFIX/include/pcre instead.

This location is non-standard, not the default for the upstream
package, and (to my knowlege) not shared by any other platforms that
ship pcre.  It forces software to detect and configure Redhat-specific
include paths and/or do brain damage like:

#ifdef REDHAT_PCRE
#include <pcre/pcre.h>
#else
#include <pcre.h>
#endif

This should be simple to fix.

Comment 1 Andy Ross 2005-05-14 17:59:36 UTC
I notice this is fixed in the current FC4 rawhide package.  Thanks!  Can the
reporter close the bug?  I'll try...


Note You need to log in before you can comment on or make changes to this bug.